using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using IgniteUI.Blazor.Controls;

namespace KB4739_SampleApp1
{
    public class Startup
    {
        public IConfiguration Configuration { get; }

        public Startup(IConfiguration configuration)
        {
            Configuration = configuration;
        }
        
        // This method gets called by the runtime. Use this method to add services to the container.
        // For more information on how to configure your application, visit https://go.microsoft.com/fwlink/?LinkID=398940
        public void ConfigureServices(IServiceCollection services)
        {
            services.AddRazorPages(); // Configuration for Blazor
            services.AddServerSideBlazor(); // Configuration for Blazor

            // Ignite UI for BlazorDataChartgp邽߂̃W[o^B
            services.AddIgniteUIBlazor(typeof(DataChartCoreModule));
            services.AddIgniteUIBlazor(typeof(DataChartScatterCoreModule));
            services.AddIgniteUIBlazor(typeof(DataChartScatterModule));
            services.AddIgniteUIBlazor(typeof(NumberAbbreviatorModule));
        }

        // This method gets called by the runtime. Use this method to configure the HTTP request pipeline.
        public void Configure(IApplicationBuilder app, IWebHostEnvironment env)
        {
            if (env.IsDevelopment())
            {
                app.UseDeveloperExceptionPage();
            }

            app.UseRouting();
            app.UseStaticFiles();

            app.UseEndpoints(endpoints =>
            {
                //endpoints.MapGet("/", async context =>
                //{
                //    await context.Response.WriteAsync("Hello World!");
                //});
                endpoints.MapBlazorHub(); // Configuration for Blazor
                endpoints.MapFallbackToPage("/_Host"); // Configuration for Blazor
            });
        }
    }
}
